Create an intent category
curl --request POST \
--url https://api.alpic.ai/v1/environments/{environmentId}/intent-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"intentIds": [
"<string>"
]
}
'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/intent-categories"
payload = {
"name": "<string>",
"intentIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', intentIds: ['<string>']})
};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/intent-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "<string>",
"name": "<string>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}insights
Create an intent category
Create an intent category, optionally linking it to existing intents
POST
/
v1
/
environments
/
{environmentId}
/
intent-categories
Create an intent category
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Body
application/json
The category name
Required string length:
1 - 100The category color; derived from the name when omitted
Available options:
red, orange, yellow, green, blue, purple, pink, gray IDs of intents to link to the new category
Required array length:
1 - 100 elementsMinimum string length:
1Was this page helpful?
⌘I